Adapt disk_stat to the new structure in 2.6.15-rc1

Signed-Off-By: Jun'ichi Nomura <j-nomura@ce.jp.nec.com>
Signed-Off-By: Alasdair G Kergon <agk@redhat.com>

Index: current-quilt-publish/drivers/md/dm.c
===================================================================
--- current-quilt-publish.orig/drivers/md/dm.c	2006-01-03 21:10:12.000000000 +0000
+++ current-quilt-publish/drivers/md/dm.c	2006-01-03 21:12:18.000000000 +0000
@@ -263,20 +263,14 @@ static int end_io_acct(struct dm_io *io)
 	struct bio *bio = io->bio;
 	unsigned long duration = jiffies - io->start_time;
 	int pending;
+	int rw = bio_data_dir(bio);
 
 	preempt_disable();
 	disk_round_stats(dm_disk(md));
 	preempt_enable();
 	dm_disk(md)->in_flight = pending = atomic_dec_return(&md->pending);
 
-	switch (bio_data_dir(bio)) {
-	case WRITE:
-		disk_stat_add(dm_disk(md), write_ticks, duration);
-		break;
-	case READ:
-		disk_stat_add(dm_disk(md), read_ticks, duration);
-		break;
-	}
+	disk_stat_add(dm_disk(md), ticks[rw], duration);
 
 	return !pending;
 }
